com.aliyun.svideosdk.common.struct.effect

## Class ActionTranslate

- java.lang.Object
- - <any>
  - - com.aliyun.svideosdk.common.struct.effect.ActionTranslate

-     public class ActionTranslate
      extends <any>

  位移动画，从某个点移动到某个点

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ActionTranslate.TranslateType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mFromPointX` 开始的x点 OpenGL坐标 （0，0）在屏幕中央 节点的锚点是（0.5，0.5）
    `protected float` | `mFromPointY` 开始的y点
    `protected float` | `mToPointX` 到的x点
    `protected float` | `mToPointY` 到的y点
    `protected int` | `mTranslateType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionTranslate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFromPointX()` 获取x轴起点坐标
    `float` | `getFromPointY()` 获取y轴起点坐标
    `float` | `getToPointX()` 获取x轴终点坐标
    `float` | `getToPointY()` 获取y轴终点坐标
    `void` | `setFromPointX(float mFromPointX)` 设置x轴起点坐标，以中心为原点 屏幕坐标点-1到1
    `void` | `setFromPointY(float mFromPointY)` 设置y轴起点坐标，以中心为原点 屏幕坐标点-1到1
    `void` | `setToPointX(float mToPointX)` 设置x轴结束坐标，以中心为原点 屏幕坐标点-1到1
    `void` | `setToPointY(float mToPointY)` 设置y轴的结束坐标，以中心为原点
    `void` | `setTranslateType(ActionTranslate.TranslateType aTranslateType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFromPointX

          protected float mFromPointX

      开始的x点 OpenGL坐标 （0，0）在屏幕中央 节点的锚点是（0.5，0.5）

    - #### mFromPointY

          protected float mFromPointY

      开始的y点

    - #### mToPointX

          protected float mToPointX

      到的x点

    - #### mToPointY

          protected float mToPointY

      到的y点

    - #### mTranslateType

          protected int mTranslateType

  - ### Constructor Detail

    - #### ActionTranslate

          public ActionTranslate()

  - ### Method Detail

    - #### getFromPointX

          public float getFromPointX()

      获取x轴起点坐标
      Returns:
        x轴起点坐标

    - #### setFromPointX

          public void setFromPointX(float mFromPointX)

      设置x轴起点坐标，以中心为原点 屏幕坐标点-1到1
      Parameters:
        `mFromPointX` -

    - #### getFromPointY

          public float getFromPointY()

      获取y轴起点坐标
      Returns:
        y轴起点坐标

    - #### setFromPointY

          public void setFromPointY(float mFromPointY)

      设置y轴起点坐标，以中心为原点 屏幕坐标点-1到1
      Parameters:
        `mFromPointY` -

    - #### getToPointX

          public float getToPointX()

      获取x轴终点坐标
      Returns:
        x轴终点坐标

    - #### setToPointX

          public void setToPointX(float mToPointX)

      设置x轴结束坐标，以中心为原点 屏幕坐标点-1到1
      Parameters:
        `mToPointX` -

    - #### getToPointY

          public float getToPointY()

      获取y轴终点坐标
      Returns:
        y轴终点坐标

    - #### setToPointY

          public void setToPointY(float mToPointY)

      设置y轴的结束坐标，以中心为原点
      Parameters:
        `mToPointY` -

    - #### setTranslateType

          public void setTranslateType(ActionTranslate.TranslateType aTranslateType)